<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.ss.usermodel.DataFormatter (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.ss.usermodel.DataFormatter (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
               title="class in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/DataFormatter.html"
               target="_top">Frames</a></li>
        <li><a href="DataFormatter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.ss.usermodel.DataFormatter" class="title">Uses of Class<br>org.apache.poi.ss.usermodel.DataFormatter
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                        title="class in org.apache.poi.ss.usermodel">DataFormatter</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula.functions">org.apache.poi.ss.formula.functions</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.util">org.apache.poi.ss.util</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.binary">org.apache.poi.xssf.binary</a></td>
                    <td class="colLast">
                        <div class="block">The org.apache.poi.xssf.binary package includes necessary underlying
                            components
                            for streaming/read-only processing of xlsb files.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.eventusermodel">org.apache.poi.xssf.eventusermodel</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                   title="class in org.apache.poi.ss.usermodel">DataFormatter</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                title="class in org.apache.poi.ss.usermodel">DataFormatter</a> in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataFormatter.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFDataFormatter</a></span></code>
                                <div class="block">HSSFDataFormatter contains methods for formatting the value stored in
                                    an
                                    HSSFCell.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.formula.functions">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                   title="class in org.apache.poi.ss.usermodel">DataFormatter</a> in <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/package-summary.html">org.apache.poi.ss.formula.functions</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/package-summary.html">org.apache.poi.ss.formula.functions</a> declared as <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                title="class in org.apache.poi.ss.usermodel">DataFormatter</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                    title="class in org.apache.poi.ss.usermodel">DataFormatter</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">TextFunction.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/functions/TextFunction.html#formatter">formatter</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.util">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                   title="class in org.apache.poi.ss.usermodel">DataFormatter</a> in <a
                            href="../../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                title="class in org.apache.poi.ss.usermodel">DataFormatter</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static double</code></td>
                            <td class="colLast"><span class="typeNameLabel">SheetUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/util/SheetUtil.html#getCellWidth-org.apache.poi.ss.usermodel.Cell-int-org.apache.poi.ss.usermodel.DataFormatter-boolean-">getCellWidth</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                    title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                int&nbsp;defaultCharWidth,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                   title="class in org.apache.poi.ss.usermodel">DataFormatter</a>&nbsp;formatter,
                                boolean&nbsp;useMergedCells)</code>
                                <div class="block">Compute width of a single cell</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.binary">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                   title="class in org.apache.poi.ss.usermodel">DataFormatter</a> in <a
                            href="../../../../../../org/apache/poi/xssf/binary/package-summary.html">org.apache.poi.xssf.binary</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/xssf/binary/package-summary.html">org.apache.poi.xssf.binary</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                title="class in org.apache.poi.ss.usermodel">DataFormatter</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/binary/XSSFBSheetHandler.html#XSSFBSheetHandler-java.io.InputStream-org.apache.poi.xssf.binary.XSSFBStylesTable-org.apache.poi.xssf.binary.XSSFBCommentsTable-org.apache.poi.xssf.model.SharedStrings-org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler.SheetContentsHandler-org.apache.poi.ss.usermodel.DataFormatter-boolean-">XSSFBSheetHandler</a></span>(java.io.InputStream&nbsp;is,
                                <a href="../../../../../../org/apache/poi/xssf/binary/XSSFBStylesTable.html"
                                   title="class in org.apache.poi.xssf.binary">XSSFBStylesTable</a>&nbsp;styles,
                                <a href="../../../../../../org/apache/poi/xssf/binary/XSSFBCommentsTable.html"
                                   title="class in org.apache.poi.xssf.binary">XSSFBCommentsTable</a>&nbsp;comments,
                                <a href="../../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                                   title="interface in org.apache.poi.xssf.model">SharedStrings</a>&nbsp;strings,
                                <a href="../../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html"
                                   title="interface in org.apache.poi.xssf.eventusermodel">XSSFSheetXMLHandler.SheetContentsHandler</a>&nbsp;sheetContentsHandler,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                   title="class in org.apache.poi.ss.usermodel">DataFormatter</a>&nbsp;dataFormatter,
                                boolean&nbsp;formulasNotResults)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.eventusermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                   title="class in org.apache.poi.ss.usermodel">DataFormatter</a> in <a
                            href="../../../../../../org/apache/poi/xssf/eventusermodel/package-summary.html">org.apache.poi.xssf.eventusermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/xssf/eventusermodel/package-summary.html">org.apache.poi.xssf.eventusermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                title="class in org.apache.poi.ss.usermodel">DataFormatter</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.html#XSSFSheetXMLHandler-org.apache.poi.xssf.model.Styles-org.apache.poi.xssf.model.Comments-org.apache.poi.xssf.model.SharedStrings-org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler.SheetContentsHandler-org.apache.poi.ss.usermodel.DataFormatter-boolean-">XSSFSheetXMLHandler</a></span>(<a
                                    href="../../../../../../org/apache/poi/xssf/model/Styles.html"
                                    title="interface in org.apache.poi.xssf.model">Styles</a>&nbsp;styles,
                                <a href="../../../../../../org/apache/poi/xssf/model/Comments.html"
                                   title="interface in org.apache.poi.xssf.model">Comments</a>&nbsp;comments,
                                <a href="../../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                                   title="interface in org.apache.poi.xssf.model">SharedStrings</a>&nbsp;strings,
                                <a href="../../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html"
                                   title="interface in org.apache.poi.xssf.eventusermodel">XSSFSheetXMLHandler.SheetContentsHandler</a>&nbsp;sheetContentsHandler,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                   title="class in org.apache.poi.ss.usermodel">DataFormatter</a>&nbsp;dataFormatter,
                                boolean&nbsp;formulasNotResults)</code>
                                <div class="block">Accepts objects needed while parsing.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.html#XSSFSheetXMLHandler-org.apache.poi.xssf.model.Styles-org.apache.poi.xssf.model.SharedStrings-org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler.SheetContentsHandler-org.apache.poi.ss.usermodel.DataFormatter-boolean-">XSSFSheetXMLHandler</a></span>(<a
                                    href="../../../../../../org/apache/poi/xssf/model/Styles.html"
                                    title="interface in org.apache.poi.xssf.model">Styles</a>&nbsp;styles,
                                <a href="../../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                                   title="interface in org.apache.poi.xssf.model">SharedStrings</a>&nbsp;strings,
                                <a href="../../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html"
                                   title="interface in org.apache.poi.xssf.eventusermodel">XSSFSheetXMLHandler.SheetContentsHandler</a>&nbsp;sheetContentsHandler,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                   title="class in org.apache.poi.ss.usermodel">DataFormatter</a>&nbsp;dataFormatter,
                                boolean&nbsp;formulasNotResults)</code>
                                <div class="block">Accepts objects needed while parsing.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
               title="class in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/DataFormatter.html"
               target="_top">Frames</a></li>
        <li><a href="DataFormatter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
